### Class

# EDataServer Extension

since: 3.4

#### Description [src]

    abstract class EDataServer.Extension : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.4

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- EOAuth2ServiceBase
- ESourceCredentialsProviderImpl

#### Instance methods

###### e_extension_get_extensible

Returns the object that `extension` extends.

since: 3.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerExtensionClass {
      GObjectClass parent_class;
      GType extensible_type;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`extensible_type: GType`

  No description available.